local bump = require 'bump'

local world
local player
local blocks = {}

local function addBlock(x,y,w,h)
	local block = {x=x, y=y, w=w, h=h}
	blocks[#blocks+1] = block
	world:add(block, x,y,w,h)
end

function love.load(arg)
	world = bump.newWorld()
	player = {x=100, y=200, w=32, h=32, ftrx, ftry, speed = 60, col = 0, len = 0}
	world:add(player, player.x,player.y, player.w, player.h)
	addBlock(50,100,200,32)
	addBlock(150,100,100,32)
end

function love.update(dt)
	player.ftrx, player.ftry = player.x, player.y
	-- update the player.ftrx and player.ftry if the keys are pressed
	if love.keyboard.isDown('up') then
		player.ftry = player.ftry - player.speed * dt
	elseif love.keyboard.isDown('down') then
		player.ftry = player.ftry + player.speed * dt
	elseif love.keyboard.isDown('left') then
		player.ftrx = player.ftrx - player.speed * dt
	elseif love.keyboard.isDown('right') then
		player.ftrx = player.ftrx + player.speed * dt
	end

	-- update the player associated bounding box in the world
	world:move(player, player.x, player.y)

	-- get the collisions
	player.col, player.len = world:check(player, player.ftrx, player.ftry)

	print(player.col, player.len)

	if player.len == 0 then
		player.x, player.y = player.ftrx, player.ftry
		world:move(player, player.x, player.y)
	elseif player.len == 1 then
	local _,_,_,-, slide_x, slide_y = collisions[i]:getSlide()
	player.x, player.y = slide_x, slide_y
	world:move(player, player.x, player.y)
	end

end

function love.draw(dt)
	love.graphics.rectangle('fill', player.x, player.y, player.w, player.h)
	for i=1, #blocks do
		local b = blocks[i]
		love.graphics.rectangle('line', b.x, b.y, b.w, b.h)
	end
end


